[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Making ra_serf the default for DAV

From: John Szakmeister <john_at_szakmeister.net>
Date: 2006-10-20 09:51:46 CEST

----- Justin Erenkrantz <justin@erenkrantz.com> wrote:
[snip]
> Use serfmake instead of the autoconf-based system.
>
> $ ./serfmake install
>
> If apr-1-config and apu-1-config aren't in your PATH, use
> --with-apr=/path/to/apr - if they are present, serfmake will just
> work(TM).

Does that mean I need a specific version of APR? > 1.0.0? I couldn't find serf's requirements listed any where in the source tree. On all of my systems, I have apr-config and apu-config (no -1 in there).

> If you are building from a checkout and using ./buildconf + ./configure
> (instead of serfmake), then you need apr and apr-util source to grab the m4
> macros - but httpd has the same source requirements. (And, when I cut a
> release, you won't need to run ./buildconf either - ./configure is
> enough.)

Got it.

> HTH. -- justin

It did! Thanks!

-John

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@subversion.tigris.org
For additional commands, e-mail: dev-help@subversion.tigris.org
Received on Fri Oct 20 09:52:46 2006

This is an archived mail posted to the Subversion Dev mailing list.